Subject: Re: [PATCH][RFC] network splice receive

From: Jens Axboe <[email-masked]>
Date: Fri, 8 Jun 2007 10:38:53 +0200

On Fri, Jun 08 2007, David Miller wrote:
> From: Jens Axboe <[email-masked]>
> Date: Fri, 8 Jun 2007 09:48:24 +0200
> 
> > Perhaps it's possible to solve this at a different level - can we hang
> > on to the skb until the pipe buffer has been consumed, and prevent reuse
> > that way? Then we don't have to care what backing the skb has, as long
> > as it (and its data) isn't being reused until we drop the reference to
> > it in sock_pipe_buf_release().
> 
> Depending upon whether the pipe buffer consumption is bounded of not,
> this will jam up the TCP sender because the SKB data allocation is
> charged against the socket send buffer allocation.

Forgive my network ignorance, but is that a problem? Since you bring it
up, I guess so :-)

We can grow the pipe, should we have to. So instead of blocking waiting
on reader consumption, we can extend the size of the pipe and keep
going.

-- 
Jens Axboe